def var th1 as handle.
def var bh1 as handle.

CREATE TEMP-TABLE th1.

/*
datetime
*/

th1:ADD-NEW-FIELD("field1", "datetime", 0, '9/9/99', '21/01/87 16:07:45.128').
th1:ADD-NEW-FIELD("field2", "datetime", 0, '', '21/01/87 16:07:45.128').
th1:ADD-NEW-FIELD("field3", "datetime", 0, ?, '21/01/87 16:07:45.128').
th1:ADD-NEW-FIELD("field4", "datetime", 0, '', '21/01/87 16:07:45.128').
th1:ADD-NEW-FIELD("field5", "datetime", 0, ?, '21/01/87 16:07:45.128').
/* default format*/
th1:ADD-NEW-FIELD("field6", "datetime", 0, '99/99/9999 HH:MM:SS.sss', '21/01/87 16:07:45.128').


th1:TEMP-TABLE-PREPARE("table1").

bh1 = th1:DEFAULT-BUFFER-HANDLE.
bh1:BUFFER-CREATE.

DISPLAY "datetime results:   ".
DISPLAY bh1:BUFFER-FIELD("field1"):STRING-VALUE.
DISPLAY bh1:BUFFER-FIELD("field2"):STRING-VALUE.
DISPLAY bh1:BUFFER-FIELD("field3"):STRING-VALUE.
DISPLAY bh1:BUFFER-FIELD("field4"):STRING-VALUE.
DISPLAY bh1:BUFFER-FIELD("field5"):STRING-VALUE.
DISPLAY bh1:BUFFER-FIELD("field6"):STRING-VALUE.



/*

Output:

┌──────────────────────────────────────────────────────────────────────────┐
│datetime results:    ??????   21/01/19 21/01/19 21/01/19 21/01/19 21/01/19│
└──────────────────────────────────────────────────────────────────────────┘
** Value 21/01/87 cannot be displayed using 9/9/99. (74)

*/

create book.

def temp-table tt1
field f1 as character
field f2 as character
field f3 as int
field f4 as int.

