/*

Corresponds to:

http://documentation.progress.com/output/OpenEdge112/oe112html/Reporting/wwhelp/wwhimpl/common/html/wwhelp.htm#href=Query%20Results%20for%20UNIX/17rpunxapc.51.5.html&single=true
*/

output to results.

def var th1 as handle.
def var frmt as character.
def var fieldNamePrefix as character initial 'field'.
def var fieldName as character.
def var i as integer initial 0.

CREATE TEMP-TABLE th1.

/*
integer
*/

i = i + 1.
fieldName = fieldNamePrefix + string(i).
frmt = '.'.
message "'" + frmt + "'".
th1:ADD-NEW-FIELD(fieldName, "integer", 0, frmt, 189789).

i = i + 1.
fieldName = fieldNamePrefix + string(i).
frmt = '()'.
message "'" + frmt + "'".
th1:ADD-NEW-FIELD(fieldName, "integer", 0, frmt, 189789).

i = i + 1.
fieldName = fieldNamePrefix + string(i).
frmt = '(9)'.
message "'" + frmt + "'".
th1:ADD-NEW-FIELD(fieldName, "integer", 0, frmt, 189789).

i = i + 1.
fieldName = fieldNamePrefix + string(i).
frmt = '(9'.
message "'" + frmt + "'".
th1:ADD-NEW-FIELD(fieldName, "integer", 0, frmt, 189789).

i = i + 1.
fieldName = fieldNamePrefix + string(i).
frmt = '+'.
message "'" + frmt + "'".
th1:ADD-NEW-FIELD(fieldName, "integer", 0, frmt, 189789).

i = i + 1.
fieldName = fieldNamePrefix + string(i).
frmt = '+9'.
message "'" + frmt + "'".
th1:ADD-NEW-FIELD(fieldName, "integer", 0, frmt, 189789).

i = i + 1.
fieldName = fieldNamePrefix + string(i).
frmt = 'z < z'.
message "'" + frmt + "'".
th1:ADD-NEW-FIELD(fieldName, "integer", 0, frmt, 189789).

i = i + 1.
fieldName = fieldNamePrefix + string(i).
frmt = 'y < y'.
message "'" + frmt + "'".
th1:ADD-NEW-FIELD(fieldName, "integer", 0, frmt, 189789).

i = i + 1.
fieldName = fieldNamePrefix + string(i).
frmt = '>'.
message "'" + frmt + "'".
th1:ADD-NEW-FIELD(fieldName, "integer", 0, frmt, 189789).

i = i + 1.
fieldName = fieldNamePrefix + string(i).
frmt = 'DR 9'.
message "'" + frmt + "'".
th1:ADD-NEW-FIELD(fieldName, "integer", 0, frmt, 189789).

i = i + 1.
fieldName = fieldNamePrefix + string(i).
frmt = 'DB 9'.
message "'" + frmt + "'".
th1:ADD-NEW-FIELD(fieldName, "integer", 0, frmt, 189789).

i = i + 1.
fieldName = fieldNamePrefix + string(i).
frmt = 'DB'.
message "'" + frmt + "'".
th1:ADD-NEW-FIELD(fieldName, "integer", 0, frmt, 189789).

i = i + 1.
fieldName = fieldNamePrefix + string(i).
frmt = 'DA 9'.
message "'" + frmt + "'".
th1:ADD-NEW-FIELD(fieldName, "integer", 0, frmt, 189789).


/*

Output:

'.'
** Numeric format . provides for no digits. (148)
Illegal format given in ADD-NEW-FIELD .. (9052)
'()'
** Numeric format () provides for no digits. (148)
Illegal format given in ADD-NEW-FIELD (). (9052)
'(9)'
'(9'
'+'
** Numeric format + provides for no digits. (148)
Illegal format given in ADD-NEW-FIELD +. (9052)
'+9'
'z < z'
** Character number 4 of format z < z is invalid. (22)
Illegal format given in ADD-NEW-FIELD z < z. (9052)
'y < y'
** Numeric format y < y provides for no digits. (148)
Illegal format given in ADD-NEW-FIELD y < y. (9052)
'>'
'DR 9'
'DB 9'
'DB'
** Numeric format DB provides for no digits. (148)
Illegal format given in ADD-NEW-FIELD DB. (9052)
'DA 9'

*/

create book.

def temp-table tt1
field f1 as character
field f2 as character
field f3 as int
field f4 as int.

